commit:     2aaf0580de129d92aac40ede9a8137a7bdc55958
Author:     François Bissey <frp.bissey <AT> gmail <DOT> com>
AuthorDate: Wed Apr  8 01:43:18 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Apr 10 10:30:03 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2aaf0580

sci-libs/m4ri: New release with all patches included.

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: François René Pierre Bissey <frp.bissey <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/15262
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 sci-libs/m4ri/Manifest             |  1 +
 sci-libs/m4ri/m4ri-20200125.ebuild | 46 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/sci-libs/m4ri/Manifest b/sci-libs/m4ri/Manifest
index e0d3cfd6da7..50c2bac25a4 100644
--- a/sci-libs/m4ri/Manifest
+++ b/sci-libs/m4ri/Manifest
@@ -1,2 +1,3 @@
 DIST m4ri-20140914.tar.gz 457978 BLAKE2B 
eadba6d1a751cb49cef25cc7726d87aa5746b23ad0a3b9bd274735a71da43ec4751fb655f91f3748f082369875508db365595f8443d77ae9645b3e4199d4f204
 SHA512 
efdd4ffa194d2d2b64a23a833420926613e74072ce62b2b06d768d157e134a615d88b93ed08d9f51f0fd14d686fd068523d1dc2c7cd9fb87108c96a4a11f4643
 DIST m4ri-20200115.tar.gz 510562 BLAKE2B 
4522793ab61dd97dae5c8d82a4457364f437040c9c45c355007a3150bfebb5264e336b19a7416f62b5ef937480f15079d9c0e9711dd26a6f7c6f5ce66d699296
 SHA512 
4791576878097077bcda768c03a43ec9a5b05c29adaa9c5f1e737e798b3fc7d027f830183d57db7b8b6b75b25e01fb522eb8b2e5359efcb05054fc341cbb403c
+DIST m4ri-20200125.tar.gz 511132 BLAKE2B 
637dbf7f17b84dc5fc91c9d8f501fa223cfacd687cb953ce3b9c4716e9a6d39318ef168c2ec8a4b5eeb469a4b46abbcd8802aaf694991d82deb20c832843c3ab
 SHA512 
212ea58a93b792c1901f62411b06cd1a2ee60b3506c987e45ded73c146f2fa6baf5461b1dcabf31a5771ab5a44eab050d64714f7a5fca3df2d141d0d80c6c51a

diff --git a/sci-libs/m4ri/m4ri-20200125.ebuild 
b/sci-libs/m4ri/m4ri-20200125.ebuild
new file mode 100644
index 00000000000..09158e5ef29
--- /dev/null
+++ b/sci-libs/m4ri/m4ri-20200125.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="Method of four russian for inversion (M4RI)"
+HOMEPAGE="https://bitbucket.org/malb/m4ri";
+SRC_URI="https://bitbucket.org/malb/${PN}/downloads/${P}.tar.gz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos"
+IUSE="debug openmp cpu_flags_x86_sse2 png static-libs"
+
+BDEPEND="virtual/pkgconfig"
+DEPEND="png? ( media-libs/libpng:= )"
+RDEPEND="${DEPEND}"
+
+# NEWS and ChangeLog are empty as of 2020-01-01, and README.md
+# didn't make it into the release tarball.
+DOCS=( AUTHORS )
+
+pkg_pretend() {
+       use openmp && tc-check-openmp
+}
+
+src_configure() {
+       # when using openmp and -O0 the testsuite fails
+       # https://github.com/cschwan/sage-on-gentoo/issues/475
+       # Still current as of 20200115
+       use openmp && replace-flags -O0 -O1
+
+       econf \
+               $(use_enable debug) \
+               $(use_enable openmp) \
+               $(use_enable png) \
+               $(use_enable cpu_flags_x86_sse2 sse2) \
+               $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to